#header {
    --header-bg-color: var(--trixie-beige);
    position: fixed;
    left: 50%;
    top: var(--spacing-m);
    width: 100vw;
    max-width: min(var(--site-max-width), calc(100vw - var(--spacing-3xl) * 2));
    padding: 0.25rem;
    border-radius: 50px;
    display: grid;
    grid-template-columns: minmax(0, 1fr) auto minmax(0, 1fr);
    transform: translateX(-50%);
    z-index: 999;
    background-color: var(--header-bg-color);
    transition: top var(--transition-normal), background-color var(--transition-fast), max-width var(--transition-normal), width var(--transition-fast);
}

body:not(.current-bg-beige) #header {
    --header-bg-color: var(--trixie-beige);
}

body.current-bg-beige #header {
    --header-bg-color: var(--trixie-blue);
}

body.scrolled #header {
    top: 10px;
}

#header .header-logo-center {
    width: 100px;
    height: 100%;
    position: relative;
}

#header .header-logo-center .logo {
    position: absolute;
    top: 0;
    left: 50%;
    transform: translate(-50%, -4px);
    width: 100%;
    height: 60px;
    padding: 4px 0;
    box-sizing: border-box;
    border-radius: 0 0 50% 50%;
    background-color: var(--header-bg-color);
    transition: background-color var(--transition-fast), opacity var(--transition-fast), visibility var(--transition-fast);
}

#header .header-logo-center .logo img {
    object-fit: contain;
    object-position: center;
    width: 100%;
    height: 100%;
}

@media screen and (min-width: 780px) {
    #header {
        min-width: 750px;
    }

    body.scrolled #header {
        max-width: 1000px;
    }

    #header .header-menu-left a,
    #header .header-menu-right a {
        transition: font-size var(--transition-normal);
    }

    body.scrolled #header .header-menu-left a,
    body.scrolled #header .header-menu-right a {
        font-size: var(--fs-xs);
    }

    #header .header-menu-left,
    #header .header-menu-right {
        transition: padding var(--transition-normal);
    }

    body.scrolled #header .header-menu-left {
        padding-right: var(--spacing-s);
    }

    body.scrolled #header .header-menu-right {
        padding-left: var(--spacing-s);
    }

    #header .header-menu-left {
        display: flex;
        justify-content: space-between;
        align-items: center;
        gap: var(--spacing-s);
        padding-left: var(--spacing-l);
        padding-right: var(--spacing-3xl);
        font-size: var(--fs-s);
    }
    
    #header .header-menu-right {
        display: flex;
        align-items: center;
        gap: var(--spacing-s);
        padding-left: var(--spacing-3xl);
        justify-content: space-between;
        font-size: var(--fs-s);
    }
    
    #header .header-menu-left a,
    #header .header-menu-right a:not(.btn-icon) {
        color: var(--trixie-red);
        white-space: nowrap;
    }

    #header .btn svg {
        max-width: 1.25em;
    }

    #header #mobile-menu-btn,
    #header #mobile-menu {
        display: none;
    }
}

@media screen and (max-width: 1234px) {
    #header .header-menu-left {
        padding-right: var(--spacing-s);
    }

    #header .header-menu-right {
        padding-left: var(--spacing-s);
    }
}

@media screen and (max-width: 1099px) {
    #header .header-menu-left a,
    #header .header-menu-right a {
        font-size: var(--fs-xs);
    }
}


@media screen and (max-width: 779px) {
    #header {
        left: unset;
        right: var(--spacing-s);
        width: calc(100vw - var(--spacing-s) * 2);
        transform: unset;
        max-width: unset;
        padding: 0;
    }
    
    body.scrolled #header {
        background-color: transparent;
        pointer-events: none;
    }

    #header .header-logo-center {
        width: 85px;
    }

    #header .header-menu-left,
    #header .header-menu-right {
        padding: 0;
    }

    #header .header-menu-left a,
    #header .header-menu-right a:not(#mobile-menu-btn) {
        display: none;
    }

    #header #mobile-menu-btn {
        display: flex;
        align-items: center;
        justify-content: center;
        border: none;
        background-color: var(--header-bg-color);
        border-radius: 50px;
        padding: 0.25em 1.25em;
        cursor: pointer;
        margin-left: auto;
        margin-right: var(--spacing-s);
        pointer-events: auto;
        transition: background-color var(--transition-fast);
    }

    body.mobile-menu-open #header #mobile-menu-btn {
        background-color: transparent;
    }

    #header #mobile-menu-btn svg {
        width: 1.75rem;
        height: 1.75rem;
    }

    #header .header-logo-center .logo {
        transform: translate(-50%, 0px);
    }

    body.scrolled #header .header-logo-center .logo {
        background-color: transparent;
    }

    body.scrolled:not(.mobile-menu-open) #header .header-logo-center .logo {
        opacity: 0;
        visibility: hidden;
    }

    #header #mobile-menu {
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: auto;
        background-color: var(--header-bg-color);
        border-radius: 20px;
        padding: var(--spacing-4xl) var(--spacing-l) var(--spacing-m) var(--spacing-l);
        box-sizing: border-box;
        z-index: -1;
        transition: opacity var(--transition-fast), visibility var(--transition-fast);
        pointer-events: auto;
    }

    body:not(.mobile-menu-open) #header #mobile-menu {
        opacity: 0;
        visibility: hidden;
        pointer-events: none;
    }

    #header #mobile-menu .header-menu-link:not(.btn) {
        color: var(--trixie-red);
    }

    #header #mobile-menu .btn {
        padding: var(--spacing-xs) var(--spacing-m);
        font-size: var(--fs-xs);
    }

    #header #mobile-menu .btn svg {
        width: 1.2em;
    }
}